---
schema_version: "1"
id: 83873944ce2652b546ad60aeb673f7c4283d113745436f0b56ab0828f6dbc3ce
title: Orders
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/commerce-cloud/marketplace/references/generated-api-specs/marketplace-seller-orders.md
canonical_url: https://developer.salesforce.com/docs/commerce/marketplace/references/marketplace-seller-orders
source_site: developer.salesforce.com
content_type: documentation
content_hash: 750fb22886c51416d0a7e1bca5548407483e4f5ae24889eaab01e9e32d1c6826
products:
  - Commerce Marketplace
  - Salesforce APIs
---
Orders

# Orders

Calls to download order data and make status changes.

**Version:** 1.0.0

## Servers

*   `https://login.salesforce.com`
*   `http://mydomainname.my.site.com`
*   `http://{{community-url}}`
*   `http://{{base-url}}`

## Security

*   `oauth2Auth` (http)
    *   HTTP scheme: oauth2
*   `bearerAuth` (http)
    *   HTTP scheme: bearer

## Operations

### GET Query

`GET /services/data/v51.0/query`

Operation ID: `Query`. Tags: Order. Security: bearerAuth.

To look up information about orders, use the [Query](https://developer.salesforce.com/docs/atlas.en-us.api_rest.meta/api_rest/resources_query.htm) resource of the main REST API from Salesforce and set the value of the `q` parameter to an SOQL query. The following examples are included in the query parameters section of this page, with corresponding examples in the responses section:

**Example 1 of 4**: `listAllOrders`

This call allows all orders made to the seller to be listed. If the item limit is exceeded, pagination may be necessary, in which case please refer to the following [documentation](https://developer.salesforce.com/docs/atlas.en-us.api_rest.meta/api_rest/dome_query.htm#retrieve_remaining_results_title).

**Example 2 of 4**: `listAllOrdersByCreateDate`

This call allows all orders made to the seller to be listed , filtered by order date. If you have more than the permissible number of items, pagination may be necessary, in which case please refer to the following [documentation](https://developer.salesforce.com/docs/atlas.en-us.api_rest.meta/api_rest/dome_query.htm#retrieve_remaining_results_title).

**Example 3 of 4**: `listAllOrdersByUpdateDate`

This call allows all orders made to the seller to be listed , filtered by order update date. If the item limit is exceeded, pagination may be necessary, in which case please refer to the following [documentation](https://developer.salesforce.com/docs/atlas.en-us.api_rest.meta/api_rest/dome_query.htm#retrieve_remaining_results_title).

**Example 4 of 4**: `getOrderByExternalId`

This call allows the listing of all order data using the external ID.

#### Parameters

*   `q` (query, string)
    
    _Example: listAllOrders_
    
    ```
    SELECT FIELDS(ALL), Atonit_Mktplace__Campaign__r.Id, Atonit_Mktplace__Campaign__r.Atonit_Mktplace__Marketplace_Id__c, Atonit_Mktplace__Campaign__r.Name, (SELECT FIELDS(ALL) FROM Atonit_Mktplace__Line_Items__r LIMIT 200), (SELECT FIELDS(ALL) FROM Atonit_Mktplace__Seller_Shipments__r LIMIT 200), (SELECT FIELDS(ALL) FROM Atonit_Mktplace__Billed_Tickets__r LIMIT 200) FROM Atonit_Mktplace__Seller_Order__c WHERE Atonit_Mktplace__Seller__r.Atonit_Mktplace__Slug__c= '{{seller-external-id}}'  LIMIT 200
    ```
    
    _Example: listAllOrdersByCreateDate_
    
    ```
    SELECT FIELDS(ALL), Atonit_Mktplace__Campaign__r.Id, Atonit_Mktplace__Campaign__r.Atonit_Mktplace__Marketplace_Id__c, Atonit_Mktplace__Campaign__r.Name, (SELECT FIELDS(ALL) FROM Atonit_Mktplace__Line_Items__r LIMIT 200), (SELECT FIELDS(ALL) FROM Atonit_Mktplace__Seller_Shipments__r LIMIT 200), (SELECT FIELDS(ALL) FROM Atonit_Mktplace__Billed_Tickets__r LIMIT 200)  FROM Atonit_Mktplace__Seller_Order__c WHERE Atonit_Mktplace__Seller__r.Atonit_Mktplace__Slug__c= '{{seller-external-id}}' AND Atonit_Mktplace__Order_Date__c > 2021-04-13T19:25:00.000+00:00 LIMIT 200
    ```
    
    _Example: listAllOrdersByUpdateDate_
    
    ```
    SELECT FIELDS(ALL), Atonit_Mktplace__Campaign__r.Id, Atonit_Mktplace__Campaign__r.Atonit_Mktplace__Marketplace_Id__c, Atonit_Mktplace__Campaign__r.Name, (SELECT FIELDS(ALL) FROM Atonit_Mktplace__Line_Items__r LIMIT 200), (SELECT FIELDS(ALL) FROM Atonit_Mktplace__Seller_Shipments__r LIMIT 200), (SELECT FIELDS(ALL) FROM Atonit_Mktplace__Billed_Tickets__r LIMIT 200)  FROM Atonit_Mktplace__Seller_Order__c WHERE Atonit_Mktplace__Seller__r.Atonit_Mktplace__Slug__c= '{{seller-external-id}}' AND SystemModstamp > 2021-04-13T19:25:00.000+00:00 LIMIT 200
    ```
    
    _Example: getOrderByExternalId_
    
    ```
    SELECT FIELDS(ALL), Atonit_Mktplace__Campaign__r.Id, Atonit_Mktplace__Campaign__r.Atonit_Mktplace__Marketplace_Id__c, Atonit_Mktplace__Campaign__r.Name, (SELECT FIELDS(ALL) FROM Atonit_Mktplace__Line_Items__r LIMIT 200), (SELECT FIELDS(ALL) FROM Atonit_Mktplace__Seller_Shipments__r LIMIT 200), (SELECT FIELDS(ALL) FROM Atonit_Mktplace__Billed_Tickets__r LIMIT 200)  FROM Atonit_Mktplace__Seller_Order__c WHERE Atonit_Mktplace__Seller__r.Atonit_Mktplace__Slug__c='{{seller-external-id}}' AND Atonit_Mktplace__External_Id__c = '00000103-atonit-vitta' LIMIT 200
    ```
    

#### Responses

*   **200** OK
    
    Headers:
    
    *   `Date` (string)  
        Example: `Thu, 29 Apr 2021 11:58:14 GMT`.
    *   `Strict-Transport-Security` (string)  
        Example: `max-age=31536002; includeSubDomains`.
    *   `X-Content-Type-Options` (string)  
        Example: `nosniff`.
    *   `X-XSS-Protection` (string)  
        Example: `1; mode=block`.
    *   `X-Robots-Tag` (string)  
        Example: `none`.
    *   `Cache-Control` (string)  
        Example: `no-cache,must-revalidate,max-age=0,no-store,private`.
    *   `Sforce-Limit-Info` (string)  
        Example: `api-usage=1713/101002`.
    *   `Content-Type` (string)  
        Example: `application/json;charset=UTF-8`.
    *   `Vary` (string)  
        Example: `Accept-Encoding`.
    *   `Content-Encoding` (string)  
        Example: `gzip`.
    *   `Transfer-Encoding` (string)  
        Example: `chunked`.
    
    Media type: `application/json`. Schema: `object`.
    
    _Example getOrderByExternalId: same as GET /services/data/v51.0/query 200 response._
    
    _Example: listAllOrders_
    
    ```
    {
      "totalSize": 2,
      "done": true,
      "records": [
        {
          "Atonit_Mktplace__Campaign__r": {
            "Id": "a0f5Y00000GCTwhQAH",
            "Atonit_Mktplace__Marketplace_Id__c": "b14d96de-1669-4775-a757-629d1b74a015",
            "Name": "Campanha de Pré Venda Bombom"
          },
          "Atonit_Mktplace__Line_Items__r": {
            "totalSize": 1,
            "done": true,
            "records": [
              {
                "Id": "a0B5Y00000gO1qAUAS",
                "Name": "LI-0002",
                "CreatedDate": "2021-04-13T19:27:23.000+0000",
                "LastModifiedDate": "2021-04-13T19:27:23.000+0000",
                "Atonit_Mktplace__Discount__c": 1.05,
                "Atonit_Mktplace__External_ID__c": "00000103-atonit-vitta-00000103-00000506-atonit-vitta-0",
                "Atonit_Mktplace__Notes__c": null,
                "Atonit_Mktplace__Product_Name__c": "Mini Bombom com Banana 60g - Flormel",
                "Atonit_Mktplace__Product_Variant_Marketplace_Id__c": "at_mini-bombom",
                "Atonit_Mktplace__Product_Variant__c": "a0L5Y00000o8qTQUAY",
                "Atonit_Mktplace__Quantity__c": 1,
                "Atonit_Mktplace__Seller_Shipment__c": "a0R5Y00000Sx7oeUAB",
                "Atonit_Mktplace__Total_Price__c": 9.49,
                "Atonit_Mktplace__Unit_Price__c": 10.54
              }
            ]
          },
          "Atonit_Mktplace__Seller_Shipments__r": {
            "totalSize": 1,
            "done": true,
            "records": [
              {
                "Id": "a0R5Y00000Sx7oeUAB",
                "Name": "00000103-00000506-atonit-vitta",
                "CreatedDate": "2021-04-13T19:27:22.000+0000",
                "LastModifiedDate": "2021-04-13T19:27:22.000+0000",
                "Atonit_Mktplace__External_ID__c": "00000103-00000506-atonit-vitta",
                "Atonit_Mktplace__Shipping_City__c": "Test City",
                "Atonit_Mktplace__Shipping_Country__c": "US",
                "Atonit_Mktplace__Shipping_Method_Marketplace_Id__c": "004",
                "Atonit_Mktplace__Shipping_Method__c": "Super Saver",
                "Atonit_Mktplace__Shipping_Rate__c": 1.99,
                "Atonit_Mktplace__Shipping_State_Province__c": "IL",
                "Atonit_Mktplace__Shipping_Street__c": "Test Adress",
                "Atonit_Mktplace__Shipping_Type__c": "Seller",
                "Atonit_Mktplace__Shipping_Zip_Postal_Code__c": "12345",
                "Atonit_Mktplace__Custom_Shipment_Note1__c": null,
                "Atonit_Mktplace__Custom_Shipment_Note2__c": null,
                "Atonit_Mktplace__Custom_Shipment_Note3__c": null
              }
            ]
          },
          "Atonit_Mktplace__Billed_Tickets__r": null,
          "Id": "a0Q5Y00000UcHjMUAV",
          "Name": "00000103-atonit-vitta",
          "CreatedDate": "2021-04-13T19:27:22.000+0000",
          "LastModifiedDate": "2021-04-13T19:27:22.000+0000",
          "Atonit_Mktplace__Billing_City__c": "Test City",
          "Atonit_Mktplace__Billing_Country__c": "US",
          "Atonit_Mktplace__Billing_State_Province__c": "IL",
          "Atonit_Mktplace__Billing_Street__c": "Test Adress",
          "Atonit_Mktplace__Billing_Zip_Postal_Code__c": "12345",
          "Atonit_Mktplace__External_ID__c": "00000103-atonit-vitta",
          "Atonit_Mktplace__Notes__c": null,
          "Atonit_Mktplace__Order_Date__c": "2021-04-13T19:26:35.000+0000",
          "Atonit_Mktplace__Status__c": "Created",
          "Atonit_Mktplace__Custom_Status__c": "Order Completed",
          "Atonit_Mktplace__Total_Price__c": 11.48,
          "Atonit_Mktplace__Total_Shipping_Rate__c": 1.99,
          "Atonit_Mktplace__Custom_Order_Note1__c": "teste 1",
          "Atonit_Mktplace__Custom_Order_Note2__c": "teste 2",
          "Atonit_Mktplace__Custom_Order_Note3__c": "teste 3"
        },
        {
          "Atonit_Mktplace__Line_Items__r": {
            "totalSize": 1,
            "done": true,
            "records": [
              {
                "Id": "a0B5Y00000gO1q5UAC",
                "Name": "LI-0000",
                "CreatedDate": "2021-04-13T19:20:40.000+0000",
                "LastModifiedDate": "2021-04-13T19:21:40.000+0000",
                "Atonit_Mktplace__Discount__c": 1.05,
                "Atonit_Mktplace__External_ID__c": "00000101-atonit-vitta-00000101-00000502-atonit-vitta-0",
                "Atonit_Mktplace__Notes__c": null,
                "Atonit_Mktplace__Product_Name__c": "Mini Bombom com Banana 60g - Flormel",
                "Atonit_Mktplace__Product_Variant_Marketplace_Id__c": "at_mini-bombom",
                "Atonit_Mktplace__Product_Variant__c": "a0L5Y00000o8qTQUAY",
                "Atonit_Mktplace__Quantity__c": 1,
                "Atonit_Mktplace__Seller_Shipment__c": "a0R5Y00000Sx7oZUAR",
                "Atonit_Mktplace__Total_Price__c": 9.49,
                "Atonit_Mktplace__Unit_Price__c": 10.54
              }
            ]
          },
          "Atonit_Mktplace__Seller_Shipments__r": {
            "totalSize": 1,
            "done": true,
            "records": [
              {
                "Id": "a0R5Y00000Sx7oZUAR",
                "Name": "00000101-00000502-atonit-vitta",
                "CreatedDate": "2021-04-13T19:20:40.000+0000",
                "LastModifiedDate": "2021-04-13T19:21:40.000+0000",
                "Atonit_Mktplace__External_ID__c": "00000101-00000502-atonit-vitta",
                "Atonit_Mktplace__Shipping_City__c": "Test City",
                "Atonit_Mktplace__Shipping_Country__c": "US",
                "Atonit_Mktplace__Shipping_Method_Marketplace_Id__c": "004",
                "Atonit_Mktplace__Shipping_Method__c": "Super Saver",
                "Atonit_Mktplace__Shipping_Rate__c": 1.99,
                "Atonit_Mktplace__Shipping_State_Province__c": "IL",
                "Atonit_Mktplace__Shipping_Street__c": "Test Adress",
                "Atonit_Mktplace__Shipping_Type__c": "Seller",
                "Atonit_Mktplace__Shipping_Zip_Postal_Code__c": "12345",
                "Atonit_Mktplace__Custom_Shipment_Note1__c": null,
                "Atonit_Mktplace__Custom_Shipment_Note2__c": null,
                "Atonit_Mktplace__Custom_Shipment_Note3__c": null
              }
            ]
          },
          "Atonit_Mktplace__Billed_Tickets__r": {
            "totalSize": 2,
            "done": true,
            "records": [
              {
                "Id": "a0b5Y00000RBaRKQA1",
                "Name": "101 Atonit Vitta 1",
                "CreatedDate": "2021-05-28T12:50:54.000+0000",
                "LastModifiedDate": "2021-05-28T12:50:54.000+0000",
                "Atonit_Mktplace__Condition__c": "2",
                "Atonit_Mktplace__DocumentURL__c": "http://www.example.com",
                "Atonit_Mktplace__Document_Number__c": "43222",
                "Atonit_Mktplace__Duplicate__c": "1/2",
                "Atonit_Mktplace__Expiration_Date__c": "2021-08-26",
                "Atonit_Mktplace__Number__c": "123555",
                "Atonit_Mktplace__Order_Number__c": "00000101",
                "Atonit_Mktplace__Seller_Name__c": "Atonit Vitta",
                "Atonit_Mktplace__Serial_Number__c": "3234324234234",
                "Atonit_Mktplace__Status__c": "20-Open",
                "Atonit_Mktplace__Value__c": 34.4,
                "Atonit_Mktplace__External_Id__c": null
              },
              {
                "Id": "a0b5Y00000RBZe3QAH",
                "Name": "101 Atonit Vitta 2",
                "CreatedDate": "2021-05-24T19:33:11.000+0000",
                "LastModifiedDate": "2021-05-28T13:32:17.000+0000",
                "Atonit_Mktplace__Condition__c": "15",
                "Atonit_Mktplace__DocumentURL__c": "http://www.example.com",
                "Atonit_Mktplace__Document_Number__c": "43222",
                "Atonit_Mktplace__Duplicate__c": "1/15",
                "Atonit_Mktplace__Expiration_Date__c": "2021-05-26",
                "Atonit_Mktplace__Number__c": "123555",
                "Atonit_Mktplace__Order_Number__c": "00000101",
                "Atonit_Mktplace__Seller_Name__c": "Atonit Vitta",
                "Atonit_Mktplace__Serial_Number__c": "3234324234234",
                "Atonit_Mktplace__Status__c": "30-Paid",
                "Atonit_Mktplace__Value__c": 34.4,
                "Atonit_Mktplace__External_Id__c": null
              }
            ]
          },
          "Id": "a0Q5Y00000UcHjHUAV",
          "Name": "00000101-atonit-vitta",
          "CreatedDate": "2021-04-13T19:20:40.000+0000",
          "LastModifiedDate": "2021-04-13T19:21:40.000+0000",
          "Atonit_Mktplace__Billing_City__c": "Test City",
          "Atonit_Mktplace__Billing_Country__c": "US",
          "Atonit_Mktplace__Billing_State_Province__c": "IL",
          "Atonit_Mktplace__Billing_Street__c": "Test Adress",
          "Atonit_Mktplace__Billing_Zip_Postal_Code__c": "12345",
          "Atonit_Mktplace__External_ID__c": "00000101-atonit-vitta",
          "Atonit_Mktplace__Notes__c": null,
          "Atonit_Mktplace__Order_Date__c": "2021-04-13T19:20:03.000+0000",
          "Atonit_Mktplace__Status__c": "Created",
          "Atonit_Mktplace__Custom_Status__c": "Order Completed",
          "Atonit_Mktplace__Total_Price__c": 11.48,
          "Atonit_Mktplace__Total_Shipping_Rate__c": 1.99,
          "Atonit_Mktplace__Custom_Order_Note1__c": "teste order note 1",
          "Atonit_Mktplace__Custom_Order_Note2__c": "teste order note 2",
          "Atonit_Mktplace__Custom_Order_Note3__c": "teste order note 3"
        }
      ]
    }
    ```
    
    _Example: listAllOrdersByCreateDate_
    
    ```
    {
      "totalSize": 1,
      "done": true,
      "records": [
        {
          "Atonit_Mktplace__Campaign__r": {
            "Id": "a0f5Y00000GCTwhQAH",
            "Atonit_Mktplace__Marketplace_Id__c": "b14d96de-1669-4775-a757-629d1b74a015",
            "Name": "Campanha de Pré Venda Bombom"
          },
          "Atonit_Mktplace__Line_Items__r": {
            "totalSize": 1,
            "done": true,
            "records": [
              {
                "Id": "a0B5Y00000gO1qAUAS",
                "Name": "LI-0002",
                "CreatedDate": "2021-04-13T19:27:23.000+0000",
                "LastModifiedDate": "2021-04-13T19:27:23.000+0000",
                "Atonit_Mktplace__Discount__c": 1.05,
                "Atonit_Mktplace__External_ID__c": "00000103-atonit-vitta-00000103-00000506-atonit-vitta-0",
                "Atonit_Mktplace__Notes__c": null,
                "Atonit_Mktplace__Product_Name__c": "Mini Bombom com Banana 60g - Flormel",
                "Atonit_Mktplace__Product_Variant_Marketplace_Id__c": "at_mini-bombom",
                "Atonit_Mktplace__Product_Variant__c": "a0L5Y00000o8qTQUAY",
                "Atonit_Mktplace__Quantity__c": 1,
                "Atonit_Mktplace__Seller_Shipment__c": "a0R5Y00000Sx7oeUAB",
                "Atonit_Mktplace__Total_Price__c": 9.49,
                "Atonit_Mktplace__Unit_Price__c": 10.54
              }
            ]
          },
          "Atonit_Mktplace__Seller_Shipments__r": {
            "totalSize": 1,
            "done": true,
            "records": [
              {
                "Id": "a0R5Y00000Sx7oeUAB",
                "Name": "00000103-00000506-atonit-vitta",
                "CreatedDate": "2021-04-13T19:27:22.000+0000",
                "LastModifiedDate": "2021-04-13T19:27:22.000+0000",
                "Atonit_Mktplace__External_ID__c": "00000103-00000506-atonit-vitta",
                "Atonit_Mktplace__Shipping_City__c": "Test City",
                "Atonit_Mktplace__Shipping_Country__c": "US",
                "Atonit_Mktplace__Shipping_Method_Marketplace_Id__c": "004",
                "Atonit_Mktplace__Shipping_Method__c": "Super Saver",
                "Atonit_Mktplace__Shipping_Rate__c": 1.99,
                "Atonit_Mktplace__Shipping_State_Province__c": "IL",
                "Atonit_Mktplace__Shipping_Street__c": "Test Adress",
                "Atonit_Mktplace__Shipping_Type__c": "Seller",
                "Atonit_Mktplace__Shipping_Zip_Postal_Code__c": "12345",
                "Atonit_Mktplace__Custom_Shipment_Note1__c": null,
                "Atonit_Mktplace__Custom_Shipment_Note2__c": null,
                "Atonit_Mktplace__Custom_Shipment_Note3__c": null
              }
            ]
          },
          "Atonit_Mktplace__Billed_Tickets__r": null,
          "Id": "a0Q5Y00000UcHjMUAV",
          "Name": "00000103-atonit-vitta",
          "CreatedDate": "2021-04-13T19:27:22.000+0000",
          "LastModifiedDate": "2021-04-13T19:27:22.000+0000",
          "Atonit_Mktplace__Billing_City__c": "Test City",
          "Atonit_Mktplace__Billing_Country__c": "US",
          "Atonit_Mktplace__Billing_State_Province__c": "IL",
          "Atonit_Mktplace__Billing_Street__c": "Test Adress",
          "Atonit_Mktplace__Billing_Zip_Postal_Code__c": "12345",
          "Atonit_Mktplace__External_ID__c": "00000103-atonit-vitta",
          "Atonit_Mktplace__Notes__c": null,
          "Atonit_Mktplace__Order_Date__c": "2021-04-13T19:26:35.000+0000",
          "Atonit_Mktplace__Status__c": "Created",
          "Atonit_Mktplace__Custom_Status__c": "Order Completed",
          "Atonit_Mktplace__Total_Price__c": 11.48,
          "Atonit_Mktplace__Total_Shipping_Rate__c": 1.99,
          "Atonit_Mktplace__Custom_Order_Note1__c": "teste 1",
          "Atonit_Mktplace__Custom_Order_Note2__c": "teste 2",
          "Atonit_Mktplace__Custom_Order_Note3__c": "teste 3"
        }
      ]
    }
    ```
    
    _Example: listAllOrdersByUpdateDate_
    
    ```
    {
      "totalSize": 1,
      "done": true,
      "records": [
        {
          "Atonit_Mktplace__Campaign__r": {
            "Id": "a0f5Y00000GCTwhQAH",
            "Atonit_Mktplace__Marketplace_Id__c": "b14d96de-1669-4775-a757-629d1b74a015",
            "Name": "Campanha de Pré Venda Bombom"
          },
          "Atonit_Mktplace__Line_Items__r": {
            "totalSize": 1,
            "done": true,
            "records": [
              {
                "Id": "a0B5Y00000gO1qAUAS",
                "Name": "LI-0002",
                "CreatedDate": "2021-04-13T19:27:23.000+0000",
                "LastModifiedDate": "2021-04-13T19:27:23.000+0000",
                "Atonit_Mktplace__Discount__c": 1.05,
                "Atonit_Mktplace__External_ID__c": "00000103-atonit-vitta-00000103-00000506-atonit-vitta-0",
                "Atonit_Mktplace__Notes__c": null,
                "Atonit_Mktplace__Product_Name__c": "Mini Bombom com Banana 60g - Flormel",
                "Atonit_Mktplace__Product_Variant_Marketplace_Id__c": "at_mini-bombom",
                "Atonit_Mktplace__Product_Variant__c": "a0L5Y00000o8qTQUAY",
                "Atonit_Mktplace__Quantity__c": 1,
                "Atonit_Mktplace__Seller_Shipment__c": "a0R5Y00000Sx7oeUAB",
                "Atonit_Mktplace__Total_Price__c": 9.49,
                "Atonit_Mktplace__Unit_Price__c": 10.54
              }
            ]
          },
          "Atonit_Mktplace__Seller_Shipments__r": {
            "totalSize": 1,
            "done": true,
            "records": [
              {
                "Id": "a0R5Y00000Sx7oeUAB",
                "Name": "00000103-00000506-atonit-vitta",
                "CreatedDate": "2021-04-13T19:27:22.000+0000",
                "LastModifiedDate": "2021-04-13T19:27:22.000+0000",
                "Atonit_Mktplace__External_ID__c": "00000103-00000506-atonit-vitta",
                "Atonit_Mktplace__Shipping_City__c": "Test City",
                "Atonit_Mktplace__Shipping_Country__c": "US",
                "Atonit_Mktplace__Shipping_Method_Marketplace_Id__c": "004",
                "Atonit_Mktplace__Shipping_Method__c": "Super Saver",
                "Atonit_Mktplace__Shipping_Rate__c": 1.99,
                "Atonit_Mktplace__Shipping_State_Province__c": "IL",
                "Atonit_Mktplace__Shipping_Street__c": "Test Adress",
                "Atonit_Mktplace__Shipping_Type__c": "Seller",
                "Atonit_Mktplace__Shipping_Zip_Postal_Code__c": "12345",
                "Atonit_Mktplace__Custom_Shipment_Note1__c": null,
                "Atonit_Mktplace__Custom_Shipment_Note2__c": null,
                "Atonit_Mktplace__Custom_Shipment_Note3__c": null
              }
            ]
          },
          "Atonit_Mktplace__Billed_Tickets__r": null,
          "Id": "a0Q5Y00000UcHjMUAV",
          "Name": "00000103-atonit-vitta",
          "CreatedDate": "2021-04-13T19:27:22.000+0000",
          "LastModifiedDate": "2021-04-13T19:27:22.000+0000",
          "SystemModstamp": "2021-04-13T19:27:22.000+0000",
          "Atonit_Mktplace__Billing_City__c": "Test City",
          "Atonit_Mktplace__Billing_Country__c": "US",
          "Atonit_Mktplace__Billing_State_Province__c": "IL",
          "Atonit_Mktplace__Billing_Street__c": "Test Adress",
          "Atonit_Mktplace__Billing_Zip_Postal_Code__c": "12345",
          "Atonit_Mktplace__External_ID__c": "00000103-atonit-vitta",
          "Atonit_Mktplace__Notes__c": null,
          "Atonit_Mktplace__Order_Date__c": "2021-04-13T19:26:35.000+0000",
          "Atonit_Mktplace__Status__c": "Created",
          "Atonit_Mktplace__Custom_Status__c": "Order Completed",
          "Atonit_Mktplace__Total_Price__c": 11.48,
          "Atonit_Mktplace__Total_Shipping_Rate__c": 1.99,
          "Atonit_Mktplace__Custom_Order_Note1__c": "teste 1",
          "Atonit_Mktplace__Custom_Order_Note2__c": "teste 2",
          "Atonit_Mktplace__Custom_Order_Note3__c": "teste 3"
        }
      ]
    }
    ```
    

### PATCH Update Order Status

`PATCH /services/data/v51.0/sobjects/Atonit_Mktplace__Seller_Order__c/Atonit_Mktplace__External_Id__c/00000103-atonit-vitta`

Operation ID: `Update Order Status`. Tags: Order. Security: bearerAuth.

This call allows the status of an existing order to be updated using its External\_Id.

The possible default values are:

*   Order Completed
*   Order under review
*   Unauthorized Order
*   Order confirmed
*   Approved Order
*   Partially billed order
*   Order billed
*   Dispatched Order
*   Order Ready to Withdraw
*   Order resubmitted
*   Order Declined
*   Order Withdrawn
*   Order Delivered
*   Order canceled
*   Order in Transit
*   Delivery Problem

#### Request body

Media type: `application/json`. Schema: `object`.

_Example_

```
{
  "Atonit_Mktplace__Custom_Status__c": "Order billed"
}
```

#### Responses

*   **200** OK
    
    Headers:
    
    *   `Date` (string)  
        Example: `Thu, 29 Apr 2021 12:28:34 GMT`.
    *   `Strict-Transport-Security` (string)  
        Example: `max-age=31536002; includeSubDomains`.
    *   `X-Content-Type-Options` (string)  
        Example: `nosniff`.
    *   `X-XSS-Protection` (string)  
        Example: `1; mode=block`.
    *   `X-Robots-Tag` (string)  
        Example: `none`.
    *   `Cache-Control` (string)  
        Example: `no-cache,must-revalidate,max-age=0,no-store,private`.
    *   `Sforce-Limit-Info` (string)  
        Example: `api-usage=1724/101002`.
    *   `Location` (number)  
        Example: `/services/data/v51.0/sobjects/Atonit_Mktplace__Seller_Order__c/a0Q5Y00000UcHjMUAV`.
    *   `Content-Type` (string)  
        Example: `application/json;charset=UTF-8`.
    *   `Transfer-Encoding` (string)  
        Example: `chunked`.
    
    Media type: `application/json`. Schema: `object`.
    
    _Example_
    
    ```
    {
      "id": "a0Q5Y00000UcHjMUAV",
      "success": true,
      "errors": [],
      "created": false
    }
    ```
    

### PATCH Update Shipment Info

`PATCH /services/data/v51.0/sobjects/Atonit_Mktplace__Seller_Shipment__c/Atonit_Mktplace__External_Id__c/00000103-00000506-atonit-vitta`

Operation ID: `Update Shipment Info`. Tags: Order. Security: bearerAuth.

This call allows the delivery details of an existing order to be updated using its External\_Id.

The document URL fields may be an external URL with the file or a URL originating from the AWS S3 endpoint, if integrated.

#### Request body

Media type: `application/json`. Schema: `object`.

_Example_

```
{
  "Atonit_Mktplace__Tracking_URL__c": "http://www.example.com/tracking",
  "Atonit_Mktplace__Additional_Tracking_Info__c": "info",
  "Atonit_Mktplace__ReceiptPDFUrl__c": "http://www.example.com/receipt.pdf",
  "Atonit_Mktplace__ReceiptXMLUrl__c": "http://www.example.com/receipt.xml",
  "Atonit_Mktplace__CTEUrl__c": "http://www.example.com/cte.pdf",
  "Atonit_Mktplace__PackingListUrl__c": "http://www.example.com/packinglist.pdf"
}
```

#### Responses

*   **200** OK
    
    Headers:
    
    *   `Date` (string)  
        Example: `Mon, 07 Jun 2021 18:57:56 GMT`.
    *   `Strict-Transport-Security` (string)  
        Example: `max-age=31536002; includeSubDomains`.
    *   `X-Content-Type-Options` (string)  
        Example: `nosniff`.
    *   `X-XSS-Protection` (string)  
        Example: `1; mode=block`.
    *   `X-Robots-Tag` (string)  
        Example: `none`.
    *   `Cache-Control` (string)  
        Example: `no-cache,must-revalidate,max-age=0,no-store,private`.
    *   `Sforce-Limit-Info` (string)  
        Example: `api-usage=1947/101002`.
    *   `Location` (number)  
        Example: `/services/data/v51.0/sobjects/Atonit_Mktplace__Seller_Shipment__c/a0R5Y00000SxEnTUAV`.
    *   `Content-Type` (string)  
        Example: `application/json;charset=UTF-8`.
    *   `Transfer-Encoding` (string)  
        Example: `chunked`.
    
    Media type: `application/json`. Schema: `object`.
    
    _Example_
    
    ```
    {
      "id": "a0R5Y00000SxEnTUAV",
      "success": true,
      "errors": [],
      "created": false
    }
    ```
    

### PATCH Create or Update Billed Ticket

`PATCH /services/data/v51.0/sobjects/Atonit_Mktplace__Billed_Ticket__c/Atonit_Mktplace__External_Id__c/{seller-api-prefix}-billed-ticket-001-1`

Operation ID: `Create or Update Billed Ticket`. Tags: Order. Security: bearerAuth.

This call allows you both to create and update a payment slip invoiced from an order. If a payment slip already exists with the ID provided in the URL, it will be updated, otherwise it will be created. The rule for the ID is that it must start with the seller-api-prefix and contain only letters, numbers and `-`.

The DocumentURL fields may be an external URL with the file or a URL originating from the AWS S3 endpoint, if integrated.

For the Atonit\_Mktplace\_\_Status\_\_field, the possible default values are:

*   10-Expired
*   20-Open
*   30-Paid
*   40-Canceled

Only payment slips with the status 20-Open can be updated. After this status, the update is blocked.

#### Parameters

*   `seller-api-prefix` (path, string, required)

#### Request body

Media type: `application/json`. Schema: `object`.

_Example_

```
{
  "Name": "00000103 1/15",
  "Atonit_Mktplace__Condition__c": "15",
  "Atonit_Mktplace__DocumentURL__c": "http://www.example.com",
  "Atonit_Mktplace__Document_Number__c": "43222",
  "Atonit_Mktplace__Duplicate__c": "1/15",
  "Atonit_Mktplace__Expiration_Date__c": "2021-09-26",
  "Atonit_Mktplace__Number__c": "123555",
  "Atonit_Mktplace__Serial_Number__c": "3234324234234",
  "Atonit_Mktplace__Status__c": "20-Open",
  "Atonit_Mktplace__Value__c": 34.4,
  "Atonit_Mktplace__Seller__r": {
    "Atonit_Mktplace__Slug__c": "{{seller-external-id}}"
  },
  "Atonit_Mktplace__Seller_Order__r": {
    "Atonit_Mktplace__External_ID__c": "00000103-atonit-vitta"
  }
}
```

#### Responses

*   **201** Created
    
    Headers:
    
    *   `Date` (string)  
        Example: `Fri, 28 May 2021 18:41:50 GMT`.
    *   `Strict-Transport-Security` (string)  
        Example: `max-age=31536002; includeSubDomains`.
    *   `X-Content-Type-Options` (string)  
        Example: `nosniff`.
    *   `X-XSS-Protection` (string)  
        Example: `1; mode=block`.
    *   `X-Robots-Tag` (string)  
        Example: `none`.
    *   `Cache-Control` (string)  
        Example: `no-cache,must-revalidate,max-age=0,no-store,private`.
    *   `Sforce-Limit-Info` (string)  
        Example: `api-usage=1785/101002`.
    *   `Location` (number)  
        Example: `/services/data/v51.0/sobjects/Atonit_Mktplace__Billed_Ticket__c/a0b5Y00000RBaUUQA1`.
    *   `Content-Type` (string)  
        Example: `application/json;charset=UTF-8`.
    *   `Transfer-Encoding` (string)  
        Example: `chunked`.
    
    Media type: `application/json`. Schema: `object`.
    
    _Example_
    
    ```
    {
      "id": "a0b5Y00000RBaUUQA1",
      "success": true,
      "errors": [],
      "created": true
    }
    ```
    

### GET Get Info for Fulfillment

`GET /services/apexrest/Atonit_Mktplace/v1/cancelledItems`

Operation ID: `Get Info for Fulfillment`. Tags: Order. Security: bearerAuth.

This call allows all data to be listed to complete the fulfillment of an order using its external ID.

#### Parameters

*   `orderId` (query, string)
    
    _Example_
    
    ```
    00000101-atonit-vitta
    ```
    

#### Responses

*   **200** OK
    
    Headers:
    
    *   `Date` (string)  
        Example: `Fri, 04 Jun 2021 18:45:48 GMT`.
    *   `Strict-Transport-Security` (string)  
        Example: `max-age=31536002; includeSubDomains`.
    *   `X-Content-Type-Options` (string)  
        Example: `nosniff`.
    *   `X-XSS-Protection` (string)  
        Example: `1; mode=block`.
    *   `X-Robots-Tag` (string)  
        Example: `none`.
    *   `Cache-Control` (string)  
        Example: `no-cache,must-revalidate,max-age=0,no-store,private`.
    *   `Content-Type` (string)  
        Example: `application/json;charset=UTF-8`.
    *   `Vary` (string)  
        Example: `Accept-Encoding`.
    *   `Content-Encoding` (string)  
        Example: `gzip`.
    *   `Transfer-Encoding` (string)  
        Example: `chunked`.
    
    Media type: `application/json`. Schema: `object`.
    
    _Example_
    
    ```
    [
      {
        "UpdatedPrice": 9.49,
        "UnitPrice": 10.54,
        "TotalPrice": 9.49,
        "SKU": "at_mini-bombom",
        "RowSelected": null,
        "RequestedQuantity": 1,
        "Order": "a0Q5Y00000UcHjHUAV",
        "Name": "Mini Bombom com Banana 60g - Flormel",
        "Index": 0,
        "Id": "a0B5Y00000gO1q5UAC",
        "AvailableQuantity": 1
      }
    ]
    ```
    

### POST Create or Update Order and relateds

`POST /services/apexrest/Atonit_Mktplace/v1/orders/`

Operation ID: `Create or Update Order and relateds`. Tags: Order. Security: bearerAuth.

#### Responses

*   **200** OK
    
    Headers:
    
    *   `Date` (string)  
        Example: `Fri, 04 Jun 2021 19:01:27 GMT`.
    *   `Strict-Transport-Security` (string)  
        Example: `max-age=31536002; includeSubDomains`.
    *   `X-Content-Type-Options` (string)  
        Example: `nosniff`.
    *   `X-XSS-Protection` (string)  
        Example: `1; mode=block`.
    *   `X-Robots-Tag` (string)  
        Example: `none`.
    *   `Cache-Control` (string)  
        Example: `no-cache,must-revalidate,max-age=0,no-store,private`.
    *   `Content-Type` (string)  
        Example: `application/json;charset=UTF-8`.
    *   `Vary` (string)  
        Example: `Accept-Encoding`.
    *   `Content-Encoding` (string)  
        Example: `gzip`.
    *   `Content-Length` (integer)  
        Example: `20`.
    
    Media type: `application/json`. Schema: `object`.
    

### POST Cancel or Fulfill an Order Copy

`POST /services/apexrest/Atonit_Mktplace/v1/cancelledItems//`

Operation ID: `Cancel or Fulfill an Order Copy`. Tags: Order. Security: bearerAuth.

#### Parameters

*   `orderId` (query, string)
    
    _Example_
    
    ```
    00000101-atonit-vitta
    ```
    
*   `mode` (query, string)
    
    _Example_
    
    ```
    full
    ```
    

#### Request body

Media type: `application/json`. Schema: `object`.

_Example_

```
[
  {
    "Id": "a0B5Y00000gO1q5UAC",
    "AvailableQuantity": 1
  }
]
```

#### Responses

*   **200** OK
    
    Headers:
    
    *   `Date` (string)  
        Example: `Fri, 04 Jun 2021 19:14:09 GMT`.
    *   `Strict-Transport-Security` (string)  
        Example: `max-age=31536002; includeSubDomains`.
    *   `X-Content-Type-Options` (string)  
        Example: `nosniff`.
    *   `X-XSS-Protection` (string)  
        Example: `1; mode=block`.
    *   `X-Robots-Tag` (string)  
        Example: `none`.
    *   `Cache-Control` (string)  
        Example: `no-cache,must-revalidate,max-age=0,no-store,private`.
    *   `Content-Type` (string)  
        Example: `application/json;charset=UTF-8`.
    *   `Vary` (string)  
        Example: `Accept-Encoding`.
    *   `Content-Encoding` (string)  
        Example: `gzip`.
    *   `Content-Length` (integer)  
        Example: `20`.
    
    Media type: `application/json`. Schema: `object`.
    

### POST Partially Fulfill an Order

`POST /services/apexrest/Atonit_Mktplace/v1/cancelledItems///`

Operation ID: `Partially Fulfill an Order`. Tags: Order. Security: bearerAuth.

#### Parameters

*   `orderId` (query, string)
    
    _Example_
    
    ```
    00000101-atonit-vitta
    ```
    
*   `mode` (query, string)
    
    _Example_
    
    ```
    partial
    ```
    

#### Responses

*   **200** OK
    
    Headers:
    
    *   `Date` (string)  
        Example: `Fri, 04 Jun 2021 19:07:36 GMT`.
    *   `Strict-Transport-Security` (string)  
        Example: `max-age=31536002; includeSubDomains`.
    *   `X-Content-Type-Options` (string)  
        Example: `nosniff`.
    *   `X-XSS-Protection` (string)  
        Example: `1; mode=block`.
    *   `X-Robots-Tag` (string)  
        Example: `none`.
    *   `Cache-Control` (string)  
        Example: `no-cache,must-revalidate,max-age=0,no-store,private`.
    *   `Content-Type` (string)  
        Example: `application/json;charset=UTF-8`.
    *   `Vary` (string)  
        Example: `Accept-Encoding`.
    *   `Content-Encoding` (string)  
        Example: `gzip`.
    *   `Content-Length` (integer)  
        Example: `20`.
    
    Media type: `application/json`. Schema: `object`.
    

### POST Cancel an Order

`POST /services/apexrest/Atonit_Mktplace/v1/cancelledItems////`

Operation ID: `Cancel an Order`. Tags: Order. Security: bearerAuth.

#### Parameters

*   `orderId` (query, string)
    
    _Example_
    
    ```
    00000101-atonit-vitta
    ```
    
*   `mode` (query, string)
    
    _Example_
    
    ```
    cancel
    ```
    

#### Request body

Media type: `application/json`. Schema: `object`.

#### Responses

*   **200** OK
    
    Headers:
    
    *   `Date` (string)  
        Example: `Fri, 04 Jun 2021 19:07:36 GMT`.
    *   `Strict-Transport-Security` (string)  
        Example: `max-age=31536002; includeSubDomains`.
    *   `X-Content-Type-Options` (string)  
        Example: `nosniff`.
    *   `X-XSS-Protection` (string)  
        Example: `1; mode=block`.
    *   `X-Robots-Tag` (string)  
        Example: `none`.
    *   `Cache-Control` (string)  
        Example: `no-cache,must-revalidate,max-age=0,no-store,private`.
    *   `Content-Type` (string)  
        Example: `application/json;charset=UTF-8`.
    *   `Vary` (string)  
        Example: `Accept-Encoding`.
    *   `Content-Encoding` (string)  
        Example: `gzip`.
    *   `Content-Length` (string)  
        Example: `20`.
    
    Media type: `application/json`. Schema: `object`.